-- ----------------------------------------------------------------------------
layoutShedShutterManual.mExits =
{
}
layoutShedShutterManual.mPOIs = 
{
}
layoutShedShutterManual.mHOs = 
{
	[objectShedEarpiece1] = 
	{
		siblings = {objectShedEarpiece1Dark, objectShedEarpiece1Pocket},
	},
	[objectPorchFuse1] = 
	{
		siblings = {objectPorchFuseLight},
	},
}
layoutShedShutterManual.mIOs =
{
	[objectShedShuttermanualManualClosed] = 
	{
		cursors = kCursorMagnify,
	},
	[objectShedShuttermanualManualOpen] = 
	{
		mirrors = {},
	},
}
layoutShedShutterManual.scrollingAllowed = false
-- ----------------------------------------------------------------------------
function layoutShedShutterManual:onConstruct()
	
	Layout.onConstruct(self)
	
	objectShedShuttermanualManualOpen:ss(kInactive)

end
-- ----------------------------------------------------------------------------
function layoutShedShutterManual:onClickIO(object, x, y)

	if (object == objectShedShuttermanualManualClosed) then
		self:showShutterManual()
		playAudioTrack("MANUAL_PAGE")
		layoutPorchWindowMechdetail.manualFound = true
		return true, false, false
	end
		
	if (object == objectShedShuttermanualManualOpen) then
		self:closeManuals()
		playAudioTrack("MANUAL_PAGE")
		return true, false, false
	end
	
	return true

end
-- ----------------------------------------------------------------------------
function layoutShedShutterManual:onInitialize()

	Layout.onInitialize(self)
	
	objectShedDrawerInsect:ss(kDone)
end
-- ----------------------------------------------------------------------------
function layoutShedShutterManual:onShow()

	self:closeManuals()
	Layout.onShow(self)

end
-- ----------------------------------------------------------------------------
function layoutShedShutterManual:onHide()

	if (self.scrollingAllowed == false) then
		-- allow scrolling now that we've seen the shed
		allowScrolling(true)
		self.scrollingAllowed = true
		
		-- HELP Scrolling
		local n = 
		{
			hintIdx = 10,
			x = 584,
			y = 117,
			eraseFunction = function()
				if (layoutShed:getScrollRightCount() > 0) then
					return true
				end
				return false
			end
		}
		
		queueHelpDialogExt(n)
		queueHelpArrow(11, 10, 980, 300)
		
	end
	
	Layout.onHide(self)

end
-- ----------------------------------------------------------------------------
function layoutShedShutterManual:showShutterManual()
	
	objectShedShuttermanualManualOpen:ss(kActive)
	
end
-- ----------------------------------------------------------------------------
function layoutShedShutterManual:closeManuals()

	objectShedShuttermanualManualOpen:ss(kInactive)
	
end